%define name libgweather
%define version 2.22.2
%define subrel 1
%define release %mkrel 1
%define major 1
%define libname %mklibname gweather %major
%define develname %mklibname -d gweather
%define olddevelname %mklibname -d gnome-applets

Summary: GNOME Weather applet library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.22.0-2mdv fix i18n init
Patch0: libgweather-2.22.0-i18ninit.patch
License: GPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk+2-devel
BuildRequires: perl-XML-Parser
BuildRequires: libxml2-utils
Conflicts: gnome-applets < 2.21.3

%description
This is a library to provide Weather data to the GNOME panel applet.

%package -n %libname
Group: System/Libraries
Summary: GNOME Weather applet library
Requires: %name >= %version

%description -n %libname
This is a library to provide Weather data to the GNOME panel applet.

%package -n %develname
Group: Development/C
Summary: GNOME Weather applet library
Requires: %libname = %version
Provides: %name-devel = %version-%release
Obsoletes: %olddevelname < 2.21.3

%description -n %develname
This is a library to provide Weather data to the GNOME panel applet.

%prep
%setup -q
%patch0 -p1 -b .i18ninit

%build
%configure2_5x
%make LIBS=-lm

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std
%find_lang %name
for xmlfile in  %buildroot%_datadir/%name/Locations.*.xml; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml//)) $(echo $xmlfile | sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas gweather
%preun
%preun_uninstall_gconf_schemas gweather

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%_sysconfdir/gconf/schemas/gweather.schemas
%dir %_datadir/%name
%_datadir/%name/locations.dtd
%_datadir/%name/Locations.xml

%files -n %libname
%defattr(-, root, root)
%_libdir/libgweather.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%doc ChangeLog
%attr(644,root,root) %_libdir/lib*a
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*



%changelog
* Wed Jun 11 2008 Vincent Danen <vdanen@mandriva.com> 2.22.2-1.1mdv2009.0
- build for updates

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211655
- new version
- fix build

* Wed Apr 16 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.2-1mdv2009.0
+ Revision: 194562
- disable parallel make
- fix buildrequires
- new version
- add localized xml files

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.1-1mdv2009.0
+ Revision: 192483
- new version
- new major

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 188529
- Patch0: fix libgweather when using non-UTF8 locale

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185054
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175481
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 151702
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 151144
- import libgweather


* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
- initial package
